package lib.image;
import flash.display.Loader;
import flash.display.Sprite;
import flash.net.URLRequest;
import flash.events.IEventDispatcher;
import flash.events.Event;

class LoadImage extends Sprite{
    /*
    Use of the image Class::
        var _this:flash.MovieClip = flash.Lib.current;
        var url:String="/images/myimage.jpg"
        var myimage : flash.MovieClip = new lib.image.LoadImage(url);
        _this.addChild(myimage);
    */
    private var url:String;
    private var request:URLRequest;
    private var loader:Loader;

    public function new(url:String){
        // 1- creation du loader
        // 2- ajout des fonctions de traitement du loading
        // 3- initialisation de l'objet request
        // 4- lancement du loading
        super();
        this.loader = new Loader();
        configureListeners(loader.contentLoaderInfo);
        this.request = new URLRequest(url);
        this.loader.load(this.request);
        addChild(loader);
    }
    private function configureListeners(dispatcher:IEventDispatcher){
        dispatcher.addEventListener(Event.COMPLETE, completeHandler);
    }
    private function completeHandler(event:Event){
        //trace('c fini');
    }
}
