package lib.shape;
class Shape{
        /*
        Use of the Shape Class::

            var _this:flash.MovieClip = flash.Lib.current;
            var shape: flash.MovieClip = _this.createEmptyMovieClip('shape', _this.getNextHighestDepth());
            var shape_mc:Dynamic = new lib.shape.Shape(shape);
            shape_mc.draw(0xfa9856, width, height, radius);

        then you can access positioning and other cool MovieClip Stuff::

            shape_mc._x = 10;
            shape_mc.alpha = 50;
        */
        var where:flash.MovieClip;
        public function new(root:flash.MovieClip){
                this.where = root;
        }
        public function draw(color, w:Int, l:Int, radius:Int) {
                /* w:largeur, l:hauteur, radius: angle de l'arrondi*/

                this.where.beginFill(color);

                this.where.moveTo(radius, 0);

                this.where.lineTo(w-radius, 0);
                this.where.curveTo(w, 0, w, radius);

                this.where.lineTo(w,l-radius);
                this.where.curveTo(w,l, w-radius, l);

                this.where.lineTo(radius,l);
                this.where.curveTo(0, l, 0, l-radius);

                this.where.lineTo(0, radius);
                this.where.curveTo(0,0, radius, 0);

                this.where.endFill();
       }
}
