package lib.utils;
import flash.net.URLLoader;
import flash.net.URLRequest;
import flash.events.EventDispatcher;
import flash.events.Event;

typedef XMLloaderEvents = Event;

class XmlLoader extends EventDispatcher
{
    public var xml:             Xml;
    private var urlLoader:      URLLoader;
    private var getting:        Bool;

    public function new():Void
    {
        super();
        getting = false;
        init();
    }

    private function init():Void
    {
        //add any functionality here!
    }

    // loadfile is used to load an xml file.
    public function loadfile( file: String ):Void
    {
        getting                     = true;
        var urlRequest:URLRequest   = new URLRequest( file );
        urlLoader                   = new URLLoader();
        urlLoader.addEventListener( Event.COMPLETE, completeListener );
        urlLoader.load( urlRequest );
    }

    // is called when the file is loaded
    private function completeListener( e: Event ):Void
    {
        getting = false;
        xml = Xml.parse(urlLoader.data);
        // dispatches when xml can be used.
        dispatchEvent( e );
    }

    public function parseXML():Void
    {
//        trace('parsing!!');
        // code to parse xml
    }
}
